--
-- PostgreSQL database cluster dump
--

SET default_transaction_read_only = off;

SET client_encoding = 'UTF8';
SET standard_conforming_strings = on;

--
-- Roles
--

CREATE ROLE analytics;
ALTER ROLE analytics WITH NOSUPERUSER INHERIT NOCREATEROLE NOCREATEDB LOGIN NOREPLICATION NOBYPASSRLS PASSWORD 'md5e95dc4c22368f96942eafb7b322c66a3';
CREATE ROLE chatops;
ALTER ROLE chatops WITH NOSUPERUSER INHERIT NOCREATEROLE NOCREATEDB LOGIN NOREPLICATION NOBYPASSRLS CONNECTION LIMIT 10 PASSWORD 'md5030d52518a9cd591ecf8aedf41dd5ef9';
CREATE ROLE gitlab;
ALTER ROLE gitlab WITH NOSUPERUSER INHERIT NOCREATEROLE NOCREATEDB LOGIN NOREPLICATION NOBYPASSRLS PASSWORD 'md55e0973509a59f31d9c6aa1f80002c4f5';
CREATE ROLE "gitlab-checkup";
ALTER ROLE "gitlab-checkup" WITH SUPERUSER INHERIT NOCREATEROLE NOCREATEDB LOGIN NOREPLICATION NOBYPASSRLS PASSWORD 'md53b73e8e53318e88ed0f3004124c09c49';
CREATE ROLE "gitlab-consul";
ALTER ROLE "gitlab-consul" WITH NOSUPERUSER INHERIT NOCREATEROLE NOCREATEDB LOGIN NOREPLICATION NOBYPASSRLS;
CREATE ROLE "gitlab-monitor";
ALTER ROLE "gitlab-monitor" WITH SUPERUSER INHERIT NOCREATEROLE NOCREATEDB LOGIN NOREPLICATION NOBYPASSRLS PASSWORD 'md57998c5905fd78f635ca022a2342e9f1b';
CREATE ROLE "gitlab-psql";
ALTER ROLE "gitlab-psql" WITH SUPERUSER INHERIT CREATEROLE CREATEDB LOGIN REPLICATION BYPASSRLS;
CREATE ROLE "gitlab-repack";
ALTER ROLE "gitlab-repack" WITH SUPERUSER INHERIT NOCREATEROLE NOCREATEDB LOGIN NOREPLICATION NOBYPASSRLS PASSWORD 'md57c050948a157eee7005c4a6c5e3d8b5e';
CREATE ROLE "gitlab-replicator";
ALTER ROLE "gitlab-replicator" WITH NOSUPERUSER INHERIT NOCREATEROLE NOCREATEDB LOGIN REPLICATION NOBYPASSRLS PASSWORD 'md53da84f54ac66665b22a3a1d59d3cff11';
CREATE ROLE "gitlab-superuser";
ALTER ROLE "gitlab-superuser" WITH SUPERUSER INHERIT NOCREATEROLE NOCREATEDB LOGIN REPLICATION NOBYPASSRLS PASSWORD 'md5dc12ab4e917f8dbd3c4e9ef03db413c4';
CREATE ROLE gitlab_geo_fdw;
ALTER ROLE gitlab_geo_fdw WITH NOSUPERUSER INHERIT NOCREATEROLE NOCREATEDB LOGIN NOREPLICATION NOBYPASSRLS PASSWORD 'md561dd144b8a88f9b7494d191587cc0980';
CREATE ROLE gitlab_replicator;
ALTER ROLE gitlab_replicator WITH NOSUPERUSER INHERIT NOCREATEROLE NOCREATEDB LOGIN REPLICATION NOBYPASSRLS PASSWORD 'md580b15eefb5ad50092ef488728140ecd1';
CREATE ROLE gitlab_repmgr;
ALTER ROLE gitlab_repmgr WITH SUPERUSER INHERIT NOCREATEROLE NOCREATEDB LOGIN REPLICATION NOBYPASSRLS PASSWORD 'md5bcf2daf78fb374e78c09387af5456c28';
CREATE ROLE pgbouncer;
ALTER ROLE pgbouncer WITH NOSUPERUSER INHERIT NOCREATEROLE NOCREATEDB LOGIN NOREPLICATION NOBYPASSRLS PASSWORD 'md5a4eed867d17b2eb8c53c83779ad454db';
CREATE ROLE postgres_exporter;
ALTER ROLE postgres_exporter WITH NOSUPERUSER INHERIT NOCREATEROLE NOCREATEDB LOGIN NOREPLICATION NOBYPASSRLS PASSWORD 'md5b1cd8c355dfdd735379666bedeb9ef7f';
CREATE ROLE readonly;
ALTER ROLE readonly WITH NOSUPERUSER INHERIT NOCREATEROLE NOCREATEDB LOGIN NOREPLICATION NOBYPASSRLS PASSWORD 'md5f00d54411bce7f0733a2a89b7e348824';
CREATE ROLE slony;
ALTER ROLE slony WITH SUPERUSER INHERIT NOCREATEROLE NOCREATEDB LOGIN REPLICATION NOBYPASSRLS PASSWORD 'md55c29cb97d4f7950f8a70cd831f98daa7';
ALTER ROLE analytics SET default_transaction_read_only TO 'on';
ALTER ROLE chatops SET default_transaction_read_only TO 'on';
ALTER ROLE "gitlab-repack" SET statement_timeout TO '0';
ALTER ROLE "gitlab-repack" SET idle_in_transaction_session_timeout TO '0';
ALTER ROLE "gitlab-repack" SET default_transaction_read_only TO 'false';
ALTER ROLE "gitlab-superuser" SET statement_timeout TO '0';
ALTER ROLE postgres_exporter SET search_path TO 'postgres_exporter', 'pg_catalog', 'public';
ALTER ROLE slony SET statement_timeout TO '0';




--
-- PostgreSQL database cluster dump complete
--

